"""add measurement_interval_minutes to recipes

Revision ID: 003_measurement_interval
Revises: 002_add_stations
Create Date: 2026-05-23

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa

revision: str = '003_measurement_interval'
down_revision: Union[str, None] = '002_add_stations'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.add_column('recipes', sa.Column('measurement_interval_minutes', sa.SmallInteger(), nullable=True))


def downgrade() -> None:
    op.drop_column('recipes', 'measurement_interval_minutes')
